diff --git a/hist/histpainter/src/THistPainter.cxx b/hist/histpainter/src/THistPainter.cxx
index b4cf64a..16c7f8f 100644
--- a/hist/histpainter/src/THistPainter.cxx
+++ b/hist/histpainter/src/THistPainter.cxx
@@ -2844,10 +2844,10 @@ THistPainter::THistPainter()
    gStringMeanX     = gEnv->GetValue("Hist.Stats.MeanX",     "Mean x");
    gStringMeanY     = gEnv->GetValue("Hist.Stats.MeanY",     "Mean y");
    gStringMeanZ     = gEnv->GetValue("Hist.Stats.MeanZ",     "Mean z");
-   gStringRMS       = gEnv->GetValue("Hist.Stats.RMS",       "RMS");
-   gStringRMSX      = gEnv->GetValue("Hist.Stats.RMSX",      "RMS x");
-   gStringRMSY      = gEnv->GetValue("Hist.Stats.RMSY",      "RMS y");
-   gStringRMSZ      = gEnv->GetValue("Hist.Stats.RMSZ",      "RMS z");
+   gStringRMS       = gStyle->GetStatRMSlabel();
+   gStringRMSX      = TString::Format("%s x",gStyle->GetStatRMSlabel()).Data();
+   gStringRMSY      = TString::Format("%s y",gStyle->GetStatRMSlabel()).Data();
+   gStringRMSZ      = TString::Format("%s z",gStyle->GetStatRMSlabel()).Data();
    gStringUnderflow = gEnv->GetValue("Hist.Stats.Underflow", "Underflow");
    gStringOverflow  = gEnv->GetValue("Hist.Stats.Overflow",  "Overflow");
    gStringIntegral  = gEnv->GetValue("Hist.Stats.Integral",  "Integral");
